Module java.desktop
Package javax.swing.plaf

## Class TableUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TableUI

Direct Known Subclasses:
  `BasicTableUI`, `MultiTableUI`

    public abstract class TableUI
    extends ComponentUI

Pluggable look and feel interface for JTable.

### Constructor Summary

Constructors
`TableUI()`

### Method Summary

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableUI

    public TableUI()